# Examples of experimentation code using ADOpy

1. Jupyter notebooks (`*.ipynb`) with interactive results using ADOpy
2. Python scripts for experiments using [PsychoPy][psychopy].

## Prerequisites

Ensure the necessary software is installed as listed below:
  - [Jupyter][jupyter-install] for `*.ipynb`
  - [PsychoPy][psychopy-install]

[jupyter-install]: https://jupyter.org/install.html
[psychopy]: https://www.psychopy.org/
[psychopy-install]: https://www.psychopy.org/download.html#pip-install

## Contents

- [**Choice under risk and ambiguity task**](./cra)
  - Jupyter notebook: [link](./cra/cra.ipynb)
- [**Delay discounting task**](./dd)
  - Jupyter notebook: [link](./dd/dd.ipynb)
  - Psychopy code: [ADO version](./dd/dd_psychopy_ado.py), [Non-ADO version](./dd/dd_psychopy_non-ado.py)
